### enable_total_cancellation

A cancellation filter that enables terminal, partial and total cancellation.

    typedef cancellation_filter< cancellation_type::terminal|cancellation_type::partial|cancellation_type::total > enable_total_cancellation;

##### Member Functions

Name | Description
--- | ---
operator() | Returns type & Mask.

##### Requirements

Header: `asio/cancellation_state.hpp`

Convenience header: `asio.hpp`